<?php

include('../config/constant.php');
include('../includes/header.php');
include('../includes/navbar.php');
                   require_once '../config/db.php';
                   require_once '../config/database.class.php';
                   require_once '../config/functions.php';
                   $d = new database($db_config);
?>

  
<!-- Begin Page Content-->
<div class="container-fluid">


  <!-- Button trigger modal -->

  <div class="card shadow mb-4">
    <div class="card-header py-3">
      <h5 class="m-0 font weight-bold text-primary">product</h5>
      </div>

       
          <div class="card-body">
            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#catModal" style="float: right">
          Add new in product</button>
        <br/>
        <br/>
        <br/>

            <div class="table-responsive">
              <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>product</th>
                    <th>Image</th>
                    <th>Created_at</th>
                    <th>Updated_at</th>
                    <th>EDIT</th>
                    <th>DELETE</th>
                  </tr>
                </thead>
                <tbody>
                  <!-- append using getAllHome() function -->
                </tbody>
              </table>   
            </div></div>
            
             <div class="modal fade" id="catModal" tabindex="1" role="dialog" aria-labelledby="examplemodalLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">product</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form action="../product/add_product.php" id="addCatForm" method="POST" enctype="multipart/form-data">
                  <div class="modal-body">
                    <div class="form-group">

                      <input type="hidden" name="id" id="id" class="form-control" placeholder="Enter Id">
                    </div>
                    <div class="form-group">
                      <label>product</label>
                      <input type="text" name="product" id="product" class="form-control" placeholder="Enter product">
                    </div>
                    <div class="form-group">
                      <label>Description</label>
                    <textarea style="resize: none; min-height:150px; min-width:430px;" name="description" id="description"></textarea>
                  </div>
                    <div class="form-group">
                        <label for="img">Select image:</label>
                      <input type="file" id="image" name="image" accept="image/* required" >
                    </div>
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" name="registerbtn" class="registerbtn btn-primary btn" onclick="saveCat();">Save</button>
                  </div>
                </div></form>
              </div>
            </div>
          </div>
            
          </div>
          <!-- End of Main Content -->
        

          <?php
          include('../includes/scripts.php');
          include('../includes/footer.php');
          ?>
          </div>
          <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.form/4.3.0/jquery.form.min.js" ></script>
          <script type="text/javascript">
            $(document).ready(function(){
              getAllCat();
            });

            function saveCat(){
              var options = {
                beforeSend: function () {
              //anything before sending request eg loader etc....
            },
            success: function (res) {
              // once receive response from backend
              //parese json
              var json = $.parseJSON(res);
              if(json.status=='success'){
                alert(json.message);
                $('#catModal').modal('hide');
                $('#id').val('');
                $('#product').val('');
                $('#description').val('');
                $('#image').val('');
               
                getAllCat();
              }
              else{
                alert(json.message);
              }
              
            },
            error: function (response) {

            }        
          };
          $('#addCatForm').ajaxForm(options);
        }


        function editCat(id){
// alert(id);
$('#catModal').modal('show');
$('#id').val(id);

$.ajax({
  type: "POST",
  data: 'id=' + id,
  url: '../product/get_product_by_id.php',
  success: function (response) {
    console.log(response)
    var json = $.parseJSON(response);

    $('#id').val(json[0].id);
    $('#product').val(json[0].product);
    $('#description').val(json[0].description);
    $('#image').attr("src",'https://dev.demowebixytech.com/vc/admin/uploads/'+json[0].image); 
  }
});
}

function deleteCat(id){
  if(confirm("Are you sure to delete")){


   $.ajax({
    type: "POST",
    data: 'id=' + id,
    url: '../product/delete_product.php',
    success: function (response) {
      console.log(response)
      var json = $.parseJSON(response);

      if(json.status=='success'){
        alert(json.message);
        getAllCat();
      }
      else{
        alert(json.message);
      }

    }
  });
 }
}

function getAllCat(){
  $.ajax({
    type: "POST",
    data: 'id=' + id,
    url: '../product/get_all_product.php',
    success: function (response) {

      var json = $.parseJSON(response);
      var html = "";
      $('#dataTable tbody').html(html);

      for(i=0;i<json.length;i++){
        html = html+`
        <tr>
        <td>`+(i+1)+`</td>
        <td>`+json[i].product+`</td>
        <td><img src = `+json[i].image+` style='max-height:100px;max-width:100px;' class='img_in_modal'></td>
        <td>`+json[i].created_at+`</td>
        <td>`+json[i].updated_at+`</td>
        <td> 
        <button type="button" class="btn btn-success" onclick="editCat(`+json[i].id+`);">
        <span class="glyphicon glyphicon-plus"></span> Edit</button>
        </td>
        <td>
        <button type="button" class="btn btn-danger" onclick="deleteCat(`+json[i].id+`);">
        <span class="glyphicon glyphicon-plus"></span> DELETE</button>
        </td> 
        </div>
        </tr>`;
      }
      $('#dataTable tbody').html(html);
    }
  });
}



</script>


  
<!-- Summernote JS - CDN Link -->
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-lite.min.js"></script>
    <script>
        $(document).ready(function() {
            $("#your_summernote").summernote();
            $('.dropdown-toggle').dropdown();
        });
    </script>
    <!-- //Summernote JS - CDN Link -->
 <!-- Summernote JS - CDN Link -->
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-lite.min.js"></script>
    <script>
        $(document).ready(function() {
            $("#description").summernote();
            $('.dropdown-toggle').dropdown();
        });
    </script>
     <script>
        $(document).ready(function() {
            $("#choose").summernote();
            $('.dropdown-toggle').dropdown();
        });
    </script>
     <script>
        $(document).ready(function() {
            $("#delievery").summernote();
            $('.dropdown-toggle').dropdown();
        });
    </script>
    <!-- //Summernote JS - CDN Link -->